<?php
if(isset($_GET['mytreefarm']) && isset($_GET['money_all']) && $ku['conveyor']>0)
{
$q=mysql_query("SELECT * FROM `$db_base`.`kolhoz_treeground` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'");
$money2=0;
while($post=mysql_fetch_array($q))
{
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_tree` WHERE `id` = '$post[id_pet]'"));
$d_money=floor($post['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$post['time_money2']-($d_money*14400);
$count=1;
$count_conveyor_act=0;
$count_vet_act=0;
if(isset($conveyor_act))$count_conveyor_act=($count/100)*$conveyor_act2;
if(isset($vet_act))$count_vet_act=($count/100)*$ydob_ps_m;
$count=$count_conveyor_act+$count_vet_act+$count;
$money=($count*$pet['money'])*$d_money;
$money2=$money2+$money;
}
mysql_query("UPDATE `$db_base`.`kolhoz_treeground` SET `time_money` = '$time', `time_money2` = '$nt', `last_rf` = '$time' WHERE `id` = '$post[id]' LIMIT 1");
}
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `money` = '".($ku['money']+$money2)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `umoney` = '$money2' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($money2/100)*$mc['nalog']);
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `money` = '".($ku['money']+$money2-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?mytreefarm&".passgen());
exit;
}
?>